V1 and V2Product Attribute Groups
Create a product attribute group
Upon successful creation, a 201 CREATED status code is returned and product attribute group data can be found in response body.
| Field | Type | Mandatory | Description |
|---|---|---|---|
| name | string | YES | product attribute group friendly-name |
| attribute_labels | array of strings | array of user attribute labels. NOTE that attribute labels MUST NOT contain "attributes." | |
| order | number | position of this group using zero-based numbering, so the first group will be ordered starting with 0 |
Example
More examples can be found in example requests
1.- Create new group named "Dimensions"
{ "name":"Dimensions"}Response
{ "attribute_labels": [ "product_weight_kg", "product_length_mm", "product_width_mm", "product_height_mm", "packed_product_weight_kg", "packed_product_length_mm", "packed_product_width_mm", "packed_product_height_mm" ], "order": 1, "name": "Dimensions", "id": "5d0baf02d4bf5513d19023f5"}Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Response Body
curl -X POST 'https://example.com/api/v1/attribute-groups/product'Empty